Method: projects.locations.brands.stores.discounts.create

Creates a discount.

HTTP request

POST https://foodorderingaiagent.googleapis.com/v1beta/{parent=projects/*/locations/*/brands/*/stores/*}/discounts

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent store, which owns this collection of discounts. Format: projects/{project}/locations/{location}/brands/{brand}/stores/{store}

Query parameters

Parameters
discountId

string

Optional. The Discount ID to use for the discount, which will become the final component of the discount's resource name.

This value should only contain lower-case letters, numbers, and hyphen, with the first and last character a letter or a number, and a 63 character maximum.

Request body

The request body contains an instance of Discount.

Response body

If successful, the response body contains a newly created instance of Discount.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.